Create a metadata expansion job
Queue metadata extraction for a batch of documents; each document is processed independently.
In: header
Header Parameters
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
File IDs of the documents to process.
1 <= itemsMetadata fields to extract from each document.
1 <= itemsHow images are handled when a document needs fallback conversion. Applies to every document in the job.
"ignore""ignore" | "description"Response Body
curl -X POST "https://deepfellow-server-host/v1/metadata/expand" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string" \ -H "Content-Type: application/json" \ -d '{ "document_ids": [ "5eb7cf5a86d9755df3a6c593" ], "fields": [ { "name": "string" } ] }'{
"id": "5eb7cf5a86d9755df3a6c593",
"project_id": "5eb7cf5a86d9755df3a6c593",
"status": "pending",
"fields": [
{
"name": "string",
"description": "string"
}
],
"documents": [
{
"document_id": "5eb7cf5a86d9755df3a6c593",
"status": "pending",
"extracted": {
"property1": "string",
"property2": "string"
},
"error": "string",
"attempts": 0
}
],
"describe_images": false,
"created_at": 0,
"finished_at": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.